Index: trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 2597)
+++ trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 2676)
@@ -461,5 +461,5 @@
 			imap_close($this->mbox);
 			$this->mbox=false;
-			array_push($return,serialize($msg_info));
+			array_push($return,$msg_info);
 
 			if($msg_info['Unseen'] == "U" || $msg_info['Recent'] == "N"){
